#include "java_lib.c"
#include "java_out.c"

system_initial(){
        pio_a_setting( 0x00 );          /* output */
        pio_b_setting( 0xff );          /* input */
        midi_port_setting();
}

input_check(){
        int i,data;
        for(i=0;i<channel;i++){
                port_out( pio_a, i );
                data = port_in( pio_b );
                tx_midi_set( 0xd0 + i );
                tx_midi_set( data/2 );
        }
}

midi_transmit(){
        tx_midi_check();
}

/*****  Dummy Functions  ************************************/

sleep(){}
repaint(){}

